<?php
require('../functions.php');
unlock_all_files();
$opbconf = explode(', ',file_get_contents('opbconf.txt'));
if(openssl_decrypt($_POST['AUTHctKey:_Encoded'],'AES-256-CBC',$opbconf[0])==$opbconf[0]) {
	$data = openssl_encrypt(file_get_contents('../log.txt'),'AES-256-CBC',$opbconf[1]);
	$data = openssl_encrypt($data,'AES-256-CBC',$opbconf[0]);
	echo $data;
}
?>